Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

List attribute mappers

List all attribute mapper configs for a project, including org-wide mappers that apply to every project.

GET/v1/projects/{projectId}/attribute-mappers
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
Responses
200

Response for status 200

mappersobject[]required
Show properties
Array of object
idstringrequired
organization_idstringrequired
project_idstring | nullrequired
namestringrequired
enabledbooleanrequired
overridebooleanrequired
remove_sourcebooleanrequired
rulesobject[]required
Show properties
Array of object
source_keystringrequired
target_keystringrequired
created_atstring | nullrequired
updated_atstring | nullrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/attribute-mappers' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json'
Response
{
  "mappers": [
    {
      "id": "string",
      "organization_id": "string",
      "project_id": "string",
      "name": "string",
      "enabled": true,
      "override": true,
      "remove_source": true,
      "rules": [
        {
          "source_key": "string",
          "target_key": "string"
        }
      ],
      "created_at": "string",
      "updated_at": "string"
    }
  ]
}

Was this page helpful?